Bug 739461 - Surprising value for --optimize in generated spec file
Summary: Surprising value for --optimize in generated spec file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cpanspec
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 07:01 UTC by Mathieu Bridon
Modified: 2015-02-23 15:54 UTC (History)
4 users (show)

Fixed In Version: cpanspec-1.78-18.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-23 15:54:55 UTC


Attachments (Terms of Use)

Description Mathieu Bridon 2011-09-19 07:01:58 UTC
Description of problem:
As described in https://bugzilla.redhat.com/show_bug.cgi?id=738525#c2, here is what I get when I run:
    $ cpanspec ExtUtils::H2PM
    [... snip ...]
    %{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
    [... snip ...]

    $ cpanspec -m ExtUtils::H2PM
    [... snip ...]
    %{__perl} Build.PL installdirs=vendor optimize="%{optimize}"
    [... snip ...]

However:
    $ rpm --eval "%{optimize}"
    %{optimize}

So why is cpanspec writing %{optimize} in the generated spec file? Shouldn't it use %{optflags} instead?


Version-Release number of selected component (if applicable):
    cpanspec-1.78-9.fc16.noarch


How reproducible:
Always.

Comment 1 Steven Pritchard 2011-09-19 17:02:40 UTC
That is fixed in the current git tree, which I'll be releasing as an update soon.

For now, see https://github.com/silug/cpanspec

Comment 2 Fedora End Of Life 2013-01-16 17:35:45 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jan Pazdziora 2013-01-16 19:20:56 UTC
(In reply to comment #1)
> That is fixed in the current git tree, which I'll be releasing as an update
> soon.
> 
> For now, see https://github.com/silug/cpanspec

Let me mark this as still not fixed in Fedora 18 -- the http://koji.fedoraproject.org/koji/packageinfo?packageID=1525 shows that there is no 1.79 build in the queue.

Comment 4 Fedora End Of Life 2013-12-21 08:29:08 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Jan Pazdziora 2013-12-22 09:26:25 UTC
With cpanspec-1.78-15.fc20.noarch, the behaviour is the same as described in comment 0 and my observation from comment 3 still holds.

Comment 6 Petr Šabata 2014-11-06 14:46:49 UTC
I'll push the upstream commit b0bdaf23 to Fedora.

Comment 7 Fedora Update System 2014-11-06 15:04:00 UTC
cpanspec-1.78-18.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cpanspec-1.78-18.fc21

Comment 8 Fedora Update System 2014-11-06 15:04:16 UTC
cpanspec-1.78-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cpanspec-1.78-18.fc20

Comment 9 Fedora Update System 2014-11-06 15:04:31 UTC
cpanspec-1.78-18.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cpanspec-1.78-18.fc19

Comment 10 Fedora Update System 2014-11-12 02:44:24 UTC
cpanspec-1.78-18.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-11-19 15:58:54 UTC
cpanspec-1.78-18.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-11-19 16:00:01 UTC
cpanspec-1.78-18.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.